=== debian/control ===
Source: ros-jazzy-fuse-optimizers
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libceres-dev, libeigen3-dev, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-diagnostic-updater, ros-jazzy-fuse-constraints, ros-jazzy-fuse-core, ros-jazzy-fuse-graphs, ros-jazzy-fuse-models <!nocheck>, ros-jazzy-fuse-msgs, ros-jazzy-fuse-variables, ros-jazzy-geometry-msgs <!nocheck>, ros-jazzy-launch <!nocheck>, ros-jazzy-launch-pytest <!nocheck>, ros-jazzy-launch-ros <!nocheck>, ros-jazzy-nav-msgs <!nocheck>, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp <!nocheck>, ros-jazzy-rclcpp-components, ros-jazzy-std-srvs, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-fuse-optimizers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libceres-dev, libeigen3-dev, ros-jazzy-diagnostic-updater, ros-jazzy-fuse-constraints, ros-jazzy-fuse-core, ros-jazzy-fuse-graphs, ros-jazzy-fuse-msgs, ros-jazzy-fuse-variables, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-std-srvs, ros-jazzy-ros-workspace
Description: The fuse_optimizers package provides a set of optimizer implementations.
 An optimizer is the object responsible \ for coordinating the sensors and motion model inputs, computing the optimal state values, and providing access to \ to the optimal state via the publishers.
